#include "editandresend.h"
#include "ui_editandresend.h"

EditAndResend::EditAndResend(std::tuple<QString, QString, QString, QString> initial, QWidget *parent) :
    QDialog(parent),
    ui(new Ui::EditAndResend)
{
    ui->setupUi(this);

    auto [requestHeader, requestData, responseHeader, responseData] = initial;

    ui->requestHeaderEdit->setPlainText(requestHeader);
    ui->requestDataEdit->setPlainText(requestData);
    ui->responseHeaderEdit->setPlainText(responseHeader);
    ui->responseDataEdit->setPlainText(responseData);
}

EditAndResend::~EditAndResend()
{
    delete ui;
}
