#pragma once

#include <include/api.h>
#include <include/proxyinterface.h>
#include <QObject>

namespace http {

class ProxyHandler : public QObject
{
    Q_OBJECT
private:
    std::map<QString, std::pair<ProxyInterface*, QThread*>> proxies;

public:
    bool loadPlugin(QObject *proxy);
    QStringList getProxies();

signals:
    void error(QString err);
    void message(http::Flow flow);
};

}
